Package org.eclipse.net4j.util.lifecycle

## Interface IDeactivateable

- All Known Subinterfaces:
    `ILifecycle`, `IManagedContainer`, `IPluginContainer`
  All Known Implementing Classes:
    `Cache`, `CacheMonitor`, `ChallengeNegotiator`, `ChallengeResponseNegotiator`, `Container`, `DelegableReentrantLock`, `DelegatingRegistry`, `ExecutorWorkSerializer`, `FileUserManager`, `FiniteStateMachine`, `HashMapDelegatingRegistry`, `HashMapRegistry`, `HashMapRegistry.AutoCommit`, `Lifecycle`, `LifecycleHook`, `ManagedContainer`, `Negotiator`, `PriorityQueueRunner`, `QueueRunner`, `QueueRunner2`, `QueueWorker`, `QueueWorkerWorkSerializer`, `Randomizer`, `ReferenceMonitor`, `ReferenceQueueWorker`, `Registry`, `ResponseNegotiator`, `RollingLog`, `RWLockManager`, `RWOLockManager`, `SerializingExecutor`, `SetContainer`, `ShareableLifecycle`, `TimerLifecycle`, `UIQueueRunner`, `UserManager`, `UserManagerAuthenticator`, `Worker`

      public interface IDeactivateable

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Exception` | `deactivate()` |

- - ### Method Detail

    - #### deactivate

          java.lang.Exception deactivate()